MemberHealthConfig (Apache Geode 1.15.4)

org.apache.geode.admin

## Interface MemberHealthConfig

- All Known Subinterfaces:
    GemFireHealthConfig

  Deprecated.
  as of 7.0 use the `management` package instead

      @Deprecated
      public interface MemberHealthConfig

  Provides configuration information relating to the health of a member of a GemFire distributed system.

  If any of the following criteria is true, then a member is considered to be in `OKAY_HEALTH`.

  - The size of the VM process is too large.
  - There are too many enqueued incoming/outgoing messages.
  - Too many message sends `timeout` while waiting for a reply.
  If any of the following criteria is true, then a member is considered to be in `POOR_HEALTH`.
  Since:
    GemFire 3.5

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `DEFAULT_MAX_MESSAGE_QUEUE_SIZE` Deprecated. The default maximum number of enqueued incoming or outgoing messages that a healthy member of a distributed system can have.
    `static long` | `DEFAULT_MAX_REPLY_TIMEOUTS` Deprecated. The default maximum number of message reply timeouts that can occur in a given health monitoring interval.
    `static double` | `DEFAULT_MAX_RETRANSMISSION_RATIO` Deprecated. The default maximum multicast retransmission ratio.
    `static long` | `DEFAULT_MAX_VM_PROCESS_SIZE` Deprecated. The default maximum VM process size (in megabytes) of a health member of the distributed system.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getMaxMessageQueueSize()` Deprecated. Returns the maximum number of enqueued incoming or outgoing messages that a healthy member of a distributed system can have.
    `long` | `getMaxReplyTimeouts()` Deprecated. Returns the maximum number message replies that can timeout in a healthy member.
    `double` | `getMaxRetransmissionRatio()` Deprecated. Returns the maximum ratio of multicast retransmissions / total multicast messages.
    `long` | `getMaxVMProcessSize()` Deprecated. Returns the maximum VM process size (in megabytes) of a healthy member of the distributed system.
    `void` | `setMaxMessageQueueSize(long maxMessageQueueSize)` Deprecated. Sets the maximum number of enqueued incoming or outgoing messages that a healthy member of a distributed system can have.
    `void` | `setMaxReplyTimeouts(long maxReplyTimeouts)` Deprecated. Sets the maximum number message replies that can timeout in a healthy member.
    `void` | `setMaxRetransmissionRatio(double ratio)` Deprecated. Sets the maximum ratio of multicast retransmissions / total multicast messages.
    `void` | `setMaxVMProcessSize(long size)` Deprecated. Sets the maximum VM process size (in megabytes) of a healthy member of the distributed system.

- - ### Field Detail

    - #### DEFAULT_MAX_VM_PROCESS_SIZE

          static final long DEFAULT_MAX_VM_PROCESS_SIZE

      Deprecated.
      The default maximum VM process size (in megabytes) of a health member of the distributed system. The default value is 1000.
      See Also:
        Constant Field Values

    - #### DEFAULT_MAX_MESSAGE_QUEUE_SIZE

          static final long DEFAULT_MAX_MESSAGE_QUEUE_SIZE

      Deprecated.
      The default maximum number of enqueued incoming or outgoing messages that a healthy member of a distributed system can have. The default value is 1000.
      See Also:
        Constant Field Values

    - #### DEFAULT_MAX_REPLY_TIMEOUTS

          static final long DEFAULT_MAX_REPLY_TIMEOUTS

      Deprecated.
      The default maximum number of message reply timeouts that can occur in a given health monitoring interval. The default value is zero.
      See Also:
        Constant Field Values

    - #### DEFAULT_MAX_RETRANSMISSION_RATIO

          static final double DEFAULT_MAX_RETRANSMISSION_RATIO

      Deprecated.
      The default maximum multicast retransmission ratio. The default value is 0.20 (twenty percent of messages retransmitted)
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getMaxVMProcessSize

          long getMaxVMProcessSize()

      Deprecated.
      Returns the maximum VM process size (in megabytes) of a healthy member of the distributed system.
      Returns:
        the maximum VM process size (in megabytes) of a healthy member of the distributed system
      See Also:
        `DEFAULT_MAX_VM_PROCESS_SIZE`

    - #### setMaxVMProcessSize

          void setMaxVMProcessSize(long size)

      Deprecated.
      Sets the maximum VM process size (in megabytes) of a healthy member of the distributed system.
      Parameters:
        `size` - the maximum VM process size (in megabytes) of a healthy member of the distributed system
      See Also:
        `getMaxVMProcessSize()`

    - #### getMaxMessageQueueSize

          long getMaxMessageQueueSize()

      Deprecated.
      Returns the maximum number of enqueued incoming or outgoing messages that a healthy member of a distributed system can have.
      Returns:
        the maximum number of enqueued incoming or outgoing messages that a healthy member of a distributed system can have
      See Also:
        `DEFAULT_MAX_MESSAGE_QUEUE_SIZE`

    - #### setMaxMessageQueueSize

          void setMaxMessageQueueSize(long maxMessageQueueSize)

      Deprecated.
      Sets the maximum number of enqueued incoming or outgoing messages that a healthy member of a distributed system can have.
      Parameters:
        `maxMessageQueueSize` - the maximum number of enqueued incoming or outgoing messages that a healthy member of a distributed system can have
      See Also:
        `getMaxMessageQueueSize()`

    - #### getMaxReplyTimeouts

          long getMaxReplyTimeouts()

      Deprecated.
      Returns the maximum number message replies that can timeout in a healthy member.
      Returns:
        the maximum number message replies that can timeout in a healthy member
      See Also:
        `DEFAULT_MAX_REPLY_TIMEOUTS`

    - #### setMaxReplyTimeouts

          void setMaxReplyTimeouts(long maxReplyTimeouts)

      Deprecated.
      Sets the maximum number message replies that can timeout in a healthy member.
      Parameters:
        `maxReplyTimeouts` - the maximum number message replies that can timeout in a healthy member
      See Also:
        `getMaxReplyTimeouts()`

    - #### getMaxRetransmissionRatio

          double getMaxRetransmissionRatio()

      Deprecated.
      Returns the maximum ratio of multicast retransmissions / total multicast messages. Retransmissions are requestor-specific (i.e., unicast), so a single lost message may result in multiple retransmissions.

      A high retransmission ratio may indicate poor network conditions requiring reduced flow-control settings, a udp-fragment-size setting that is too high.

      Returns:
        the maximum ratio of multicast retransmissions / total multicast messages
      See Also:
        `DEFAULT_MAX_RETRANSMISSION_RATIO`

    - #### setMaxRetransmissionRatio

          void setMaxRetransmissionRatio(double ratio)

      Deprecated.
      Sets the maximum ratio of multicast retransmissions / total multicast messages.
      Parameters:
        `ratio` - the maximum ratio of multicast retransmissions / total multicast messages
      See Also:
        `getMaxRetransmissionRatio()`